
    //********  Dingspot.c by Micha Wsowicz ********// 
     
/***********************************************************/
/* This is a simple program demonstrating how to use mouse */
/*      and sound routines from the Allegro library.       */
/***********************************************************/

#include <stdlib.h>
#include <stdio.h>

#include "allegro.h"   // I use Allegro library
                       // by Shawn Hargreaves.

void main(int argc, char *argv[])
{

  int x;
  int y;
  int c;
  SAMPLE *ding_sample;  // a pointer to the loaded sample
  char buf[80];

   allegro_init();
   install_mouse();
   install_timer();
   install_keyboard();
   install_sound(DIGI_SB, MIDI_NONE, argv[0]);

   set_gfx_mode(GFX_VGA, 320, 200, 0, 0);

   set_pallete(desktop_pallete);

 clear_keybuf();

  /* Draw a rectangle to make points in */
 rect(screen, 40, 30, 270, 160, 255);

  /* The frame of the EXIT box */
 rect(screen, 255, 172, 302, 195, 255);
 textout(screen, font, "Make points!", 1, 1, 255);

  /* Type EXIT in the box */
 textout_centre(screen, font, "EXIT", 280, 180, 255);

  /* Load "ding.wav" */
 strcpy(buf, argv[0]);
 strcpy(get_filename(buf), "ding.wav");
 ding_sample = load_sample(buf);
 

 show_mouse(screen);

do {
 } while(mouse_b & 1);

 for(;;)   
  {
 if(mouse_b & 1)
   if(mouse_x > 41 && mouse_y > 31)       // If the mouse is inside  
     if(mouse_x < 269 && mouse_y < 159)   // of the rectangle ...
  {
   x = mouse_x;
   y = mouse_y;
 show_mouse(NULL);
 circlefill(screen, x, y, 2 ,2);    // ... make points by clicking
                                                   
 /* Play "ding" while making a spot */
 play_sample(ding_sample, 255, 128, 1000, NULL); 
  
 show_mouse(screen);
 }
  else
    if(mouse_x > 255 && mouse_y > 172)     // Exit when clicked
      if(mouse_x < 302 && mouse_y < 195)   // in EXIT box
      { 
    destroy_sample(ding_sample);
    exit(0);     }
 
 if (keypressed()) {                // Exit with the ESCAPE key.
	 c = readkey() >> 8;
	 if (c == KEY_ESC)     {
	   destroy_sample(ding_sample);
           exit(0);  }
 }
}

}